Bug 1038 - Add a new level of moule documentation.
: Add a new level of moule documentation.
Status: RESOLVED FIXED
: Roxen WebServer
Admin Interface
: 2.2
: All Other
: P3 (normal) enhancement
: ---
Assigned To:
:
:
:
  Show dependency treegraph
 
Reported: 2001-01-16 15:49 CET by
Modified: 2001-01-29 11:32 CET (History)
Scrum Prio:
In scrum?: ---
Story included in sprints:
Unplanned in sprints:


Attachments


Description From 2001-01-16 15:49:59 CET
Most of the module_doc constants are more used as more or less
brief description of the module. This is reflected in that the strings are
displayed in the verbose module listing modes of add module, which
typically is a bad place to show the entire documentation for a module, if
it is complicated enough.

I suggest somehing like a module_full_doc constant that keeps the complete
documentation of a module, so that it doesn't have to clutter the rest of
the interface. This information should be available though e.g. a
documentation tab a module level.
------- Comment #1 From 2001-01-26 03:31:38 CET -------
I think that that kind of documentation fits better in the manual, but it would
be easy to add a variable for it (not constant, though, since it should be
possible to localize it)
------- Comment #2 From 2001-01-26 13:00:55 CET -------
Well, it does fit better in the manual, but we want to be enable new modules to
have the same deep documentation as the one documented in the manual. We want
the raw documentation in the module file anyway...
------- Comment #3 From 2001-01-29 10:49:47 CET -------
Ok.
------- Comment #4 From 2001-01-29 11:33:22 CET -------
If this module_full_doc is indeed meant to be imported into the manual (for at
least our own modules), generic HTML is by implication banned, and the admin
interface rendering of these docs should filter away all non-manual-markup tags
in order not to look like the docs are properly working when they are not. (The
same code that handles tagdoc ought to work fine.)

(If this is unwanted, [bug 1113] should be closed INVALID right away.)

Note

You need to log in before you can comment on or make changes to this bug.